# Class AppOrchestrator | EchoHub Documentation
Central orchestrator for the EchoHub TUI client. Owns session state and wires UI events to service calls.

# Class AppOrchestrator

Namespace
  EchoHub.Client

Assembly
  EchoHub.Client.dll

Central orchestrator for the EchoHub TUI client. Owns session state and wires UI events to service calls.

    public sealed class AppOrchestrator : IDisposable

Inheritance
  object
  AppOrchestrator

Implements
  IDisposable

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### AppOrchestrator(IApplication, ClientConfig)

    public AppOrchestrator(IApplication app, ClientConfig config)

#### Parameters

`app` IApplication
`config` ClientConfig

## Properties

### MainWindow

    public MainWindow MainWindow { get; }

#### Property Value

MainWindow

## Methods

### Dispose()

    public void Dispose()